summaryrefslogtreecommitdiffstats
path: root/system/qemu
diff options
context:
space:
mode:
Diffstat (limited to 'system/qemu')
-rw-r--r--system/qemu/README17
-rw-r--r--system/qemu/qemu.SlackBuild62
-rw-r--r--system/qemu/qemu.info10
-rw-r--r--system/qemu/slack-desc16
4 files changed, 68 insertions, 37 deletions
diff --git a/system/qemu/README b/system/qemu/README
index 176f06bb5d..6b44670759 100644
--- a/system/qemu/README
+++ b/system/qemu/README
@@ -1,12 +1,11 @@
QEMU is a generic and open source machine emulator and virtualizer.
-This is a binary release, repacked for Slackware's package management
-system.
+When used as a machine emulator, QEMU can run OSes and programs made for
+one machine (e.g. an ARM board) on a different machine (e.g. your own PC).
+By using dynamic translation, it achieves very good performances.
-It seems the /usr/bin/qemu is hard-coded to look for some files in
-/usr/local/share - there are at least two ways to work around this
-after the package is installed:
- 1. cd /usr/local/share ; ln -s /usr/share/qemu qemu
- 2. replace -s /usr/local/ /usr/./././ /usr/bin/qemu
-
-The first method is the safest, but either should work relatively well.
+When used as a virtualizer, QEMU achieves near native performances by
+executing the guest code directly on the host CPU. A host driver called
+the QEMU accelerator (also known as KQEMU) is needed in this case. The
+virtualizer mode requires that both the host and guest machine use x86
+compatible processors.
diff --git a/system/qemu/qemu.SlackBuild b/system/qemu/qemu.SlackBuild
index eb12a0225b..0306143947 100644
--- a/system/qemu/qemu.SlackBuild
+++ b/system/qemu/qemu.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/sh
-# Slackware build script for qemu-bin
+# Slackware build script for qemu
-# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# Copyright 2009 Andrew Brouwers <abrouwers@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,32 +25,64 @@
# Modified by the SlackBuilds.org project
PRGNAM=qemu
-VERSION=0.9.1
-ARCH=i386 # Leave be for binary
-BUILD=${BUILD:-2}
+VERSION=0.10.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=${PKG:-/tmp/SBo/package-$PRGNAM}
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $PKG || exit 1
-tar xvfz $CWD/$PRGNAM-$VERSION-$ARCH.tar.gz || exit 1
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-mv $PKG/usr/local/share/man $PKG/usr/man
-mv $PKG/usr/local/bin $PKG/usr/bin
+# --libdir isn't recognized and isn't needed anyway
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-system \
+ --audio-drv-list=oss,alsa,sdl,esd
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/local/share/doc/qemu/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp TODO README LICENSE COPYING COPYING.LIB MAINTAINERS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/qemu/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share/doc
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
-mv $PKG/usr/local/share $PKG/usr/share
-rm -rf $PKG/usr/local $PKG/usr/share/doc
-
-gzip -9 $PKG/usr/man/man?/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/qemu/qemu.info b/system/qemu/qemu.info
index ba0ba073e9..f1710f0173 100644
--- a/system/qemu/qemu.info
+++ b/system/qemu/qemu.info
@@ -1,8 +1,8 @@
PRGNAM="qemu"
-VERSION="0.9.1"
-HOMEPAGE="http://bellard.org/qemu/index.html"
-DOWNLOAD="http://bellard.org/qemu/qemu-0.9.1-i386.tar.gz"
-MD5SUM="ff807f7b7627ada17bf06ae1638bd566"
+VERSION="0.10.5"
+HOMEPAGE="http://www.nongnu.org/qemu/"
+DOWNLOAD="http://download.savannah.gnu.org/releases/qemu/qemu-0.10.5.tar.gz"
+MD5SUM="60060feb98c9649a5da8b136685f76ba"
MAINTAINER="Andrew Brouwers"
EMAIL="abrouwers@gmail.com"
-APPROVED="Michiel"
+APPROVED="rworkman"
diff --git a/system/qemu/slack-desc b/system/qemu/slack-desc
index f69d4b85cd..41e94ed756 100644
--- a/system/qemu/slack-desc
+++ b/system/qemu/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler--------------------------------------------------------|
+ |-----handy-ruler-------------------------------------------------------|
qemu: qemu (open source processor emulator)
qemu:
qemu: QEMU is a generic and open source processor emulator which achieves
qemu: a good emulation speed by using dynamic translation.
-qemu:
-qemu: Be sure to read the README.Slackware file in /usr/doc/qemu-0.9.1
-qemu:
-qemu:
-qemu:
-qemu:
-qemu:
+qemu:
+qemu:
+qemu:
+qemu:
+qemu:
+qemu:
+qemu: